Debian Bug report logs - #661340
source for bin/xmoto.bin missing for tarball

version graph

Package: src:xmoto; Maintainer for src:xmoto is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: Ansgar Burchardt <ansgar@debian.org>

Date: Sun, 26 Feb 2012 14:52:05 UTC

Severity: serious

Found in version xmoto/0.5.5-1

Fixed in version xmoto/0.5.9+dfsg-1

Done: Stephen Kitt <steve@sk2.org>

Bug is archived. No further changes may be made.

Forwarded to http://todo.xmoto.tuxfamily.org/index.php?do=details&task_id=803

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#661340; Package src:xmoto. (Sun, 26 Feb 2012 14:52:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sun, 26 Feb 2012 14:52:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: source for bin/xmoto.bin missing for tarball
Date: Sun, 26 Feb 2012 15:45:23 +0100
Package: src:xmoto
Version: 0.5.5-1
Severity: serious

The source for bin/xmoto.bin seems to be missing from the tarball.  It
is included in upstream's SVN repository[1].

Regards,
Ansgar

[1] <http://svn.tuxfamily.org/viewvc.cgi/xmoto_xmoto/trunk/bin/>




Set Bug forwarded-to-address to 'http://todo.xmoto.tuxfamily.org/index.php?do=details&task_id=803'. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Sun, 22 Apr 2012 21:33:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Sun, 22 Apr 2012 22:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#661340; Package src:xmoto. (Sat, 12 May 2012 12:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 12 May 2012 12:00:12 GMT) Full text and rfc822 format available.

Message #14 received at 661340@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Nicolas Adenis-Lamarre <nicolas.adenis.lamarre@gmail.com>
Cc: Ansgar Burchardt <ansgar@debian.org>, 661340@bugs.debian.org
Subject: Re: Debian Bug report logs - #661340
Date: Sat, 12 May 2012 13:57:08 +0200
Hi Nicolas,

On Sat, May 12, 2012 at 01:45:58PM +0200, Nicolas Adenis-Lamarre wrote:
> The xmoto.bin file is in the tar.gz.
> However it's not in the svn repository because it is generated at
> compilation time when building from svn.

That's not the issue here - the problem from our point of view is that
xmoto.bin is shipped in the tarballs without the corresponding source
files used to generate it. From our point of view the source isn't
complete if the tarballs don't include the full contents of the bin
folder (as available in svn).

C'est peut-être plus simple en français : le souci ne vient pas de
l'absence de xmoto.bin dans svn, mais plutôt du fait que puisque le
fichier est généré à partir d'autres fichiers (les contenus du dossier
bin), ceux-ci devraient être présents dans l'archive .tar.gz. Un
utilisateur qui récupère juste l'archive devrait disposer de tout ce
qui est nécessaire pour pouvoir modifier les sources et reconstruire
un livrable - et puisqu'on ne modifie pas xmoto.bin directement, mais
plutôt les fichiers dans bin/, il faut fournir ces derniers (en plus
de xmoto.bin).

Regards,

Stephen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#661340; Package src:xmoto. (Sat, 12 May 2012 12:36:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 12 May 2012 12:36:16 GMT) Full text and rfc822 format available.

Message #19 received at 661340@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Nicolas Adenis-Lamarre <nicolas.adenis.lamarre@gmail.com>
Cc: Ansgar Burchardt <ansgar@debian.org>, 661340@bugs.debian.org
Subject: Re: Debian Bug report logs - #661340
Date: Sat, 12 May 2012 14:33:52 +0200
On Sat, May 12, 2012 at 02:14:55PM +0200, Nicolas Adenis-Lamarre wrote:
> in this case,
> the bug was already reported some years ago by an other debian people ;-)

Hah, I should have looked through the old bug reports...

> we added 2 parameters to the xmoto binary to be able to create/extract the
> xmoto.bin file
> and the man said it was ok. I hope it is still ok for you.
> 
>     --pack [BIN] [DIR]
>         Build the BIN package from directory DIR.
>     --unpack [BIN] [DIR] [no_list]
>         Unpack the BIN package into the dir DIR.

OK, I knew about the --pack option but hadn't noticed the --unpack
option; that's fine as far as I'm concerned, I see it does produce
exactly the same output as the original input. I'll add an explanation
to the Debian package so people know how to go about modifying
xmoto.bin (unpack, edit and repack).

Thanks,

Stephen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#661340; Package src:xmoto. (Sat, 12 May 2012 12:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Adenis-Lamarre <nicolas.adenis.lamarre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 12 May 2012 12:42:10 GMT) Full text and rfc822 format available.

Message #24 received at 661340@bugs.debian.org (full text, mbox):

From: Nicolas Adenis-Lamarre <nicolas.adenis.lamarre@gmail.com>
To: Stephen Kitt <steve@sk2.org>
Cc: Ansgar Burchardt <ansgar@debian.org>, 661340@bugs.debian.org
Subject: Re: Debian Bug report logs - #661340
Date: Sat, 12 May 2012 14:14:55 +0200
[Message part 1 (text/plain, inline)]
in this case,
the bug was already reported some years ago by an other debian people ;-)

we added 2 parameters to the xmoto binary to be able to create/extract the
xmoto.bin file
and the man said it was ok. I hope it is still ok for you.

    --pack [BIN] [DIR]
        Build the BIN package from directory DIR.
    --unpack [BIN] [DIR] [no_list]
        Unpack the BIN package into the dir DIR.

Nicolas

2012/5/12 Stephen Kitt <steve@sk2.org>

> Hi Nicolas,
>
> On Sat, May 12, 2012 at 01:45:58PM +0200, Nicolas Adenis-Lamarre wrote:
> > The xmoto.bin file is in the tar.gz.
> > However it's not in the svn repository because it is generated at
> > compilation time when building from svn.
>
> That's not the issue here - the problem from our point of view is that
> xmoto.bin is shipped in the tarballs without the corresponding source
> files used to generate it. From our point of view the source isn't
> complete if the tarballs don't include the full contents of the bin
> folder (as available in svn).
>
> C'est peut-être plus simple en français : le souci ne vient pas de
> l'absence de xmoto.bin dans svn, mais plutôt du fait que puisque le
> fichier est généré à partir d'autres fichiers (les contenus du dossier
> bin), ceux-ci devraient être présents dans l'archive .tar.gz. Un
> utilisateur qui récupère juste l'archive devrait disposer de tout ce
> qui est nécessaire pour pouvoir modifier les sources et reconstruire
> un livrable - et puisqu'on ne modifie pas xmoto.bin directement, mais
> plutôt les fichiers dans bin/, il faut fournir ces derniers (en plus
> de xmoto.bin).
>
> Regards,
>
> Stephen
>
[Message part 2 (text/html, inline)]

Reply sent to Stephen Kitt <steve@sk2.org>:
You have taken responsibility. (Sat, 26 May 2012 01:36:10 GMT) Full text and rfc822 format available.

Notification sent to Ansgar Burchardt <ansgar@debian.org>:
Bug acknowledged by developer. (Sat, 26 May 2012 01:36:10 GMT) Full text and rfc822 format available.

Message #29 received at 661340-close@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: 661340-close@bugs.debian.org
Subject: Bug#661340: fixed in xmoto 0.5.9+dfsg-1
Date: Sat, 26 May 2012 01:33:53 +0000
Source: xmoto
Source-Version: 0.5.9+dfsg-1

We believe that the bug you reported is fixed in the latest version of
xmoto, which is due to be installed in the Debian FTP archive:

xmoto-data_0.5.9+dfsg-1_all.deb
  to main/x/xmoto/xmoto-data_0.5.9+dfsg-1_all.deb
xmoto_0.5.9+dfsg-1.debian.tar.gz
  to main/x/xmoto/xmoto_0.5.9+dfsg-1.debian.tar.gz
xmoto_0.5.9+dfsg-1.dsc
  to main/x/xmoto/xmoto_0.5.9+dfsg-1.dsc
xmoto_0.5.9+dfsg-1_amd64.deb
  to main/x/xmoto/xmoto_0.5.9+dfsg-1_amd64.deb
xmoto_0.5.9+dfsg.orig.tar.gz
  to main/x/xmoto/xmoto_0.5.9+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 661340@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Kitt <steve@sk2.org> (supplier of updated xmoto package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 23 May 2012 08:18:30 +0200
Source: xmoto
Binary: xmoto xmoto-data
Architecture: source amd64 all
Version: 0.5.9+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Stephen Kitt <steve@sk2.org>
Description: 
 xmoto      - 2D motocross platform game
 xmoto-data - 2D motocross platform game - data files
Closes: 641822 644234 649797 661340 662565 667422
Changes: 
 xmoto (0.5.9+dfsg-1) unstable; urgency=low
 .
   * New upstream release (closes: #644234):
     + builds with libpng 1.5 (closes: #649797);
     + uses libxml2;
     + uses DejaVuSansMono (add link and make ttf-dejavu-core a dependency
       of xmoto-data).
   * Repacked to remove src/glext.h, licensed under SGI License B version
     1.1. (I'm hoping that this will be fixed upstream, so I haven't added
     a get-orig-source target to debian/rules.)
   * Update debian/watch accordingly.
   * Update patches:
     + remove-glext.patch: add (allows building without glext.h), forward
       upstream;
     + fix_segfault.patch: refresh, add DEP-3 header, forward upstream;
     + desktop.patch: re-apply, add German translation (closes: #641822),
       forward upstream;
     + spelling.patch: refresh, forward upstream;
     + manpage.patch: forward upstream;
     + gcc44-ftbfs.patch: no longer used, delete.
   * Switch to dh 9 with simple rules.
   * Use source format "3.0 (quilt)", drop explanations from
     README.source.
   * Update README.source to explain the removal of glext.h, and the use of
     "xmoto --unpack" and "xmoto --pack" to manipulate xmoto.bin (closes:
     #661340).
   * Add ${misc:Depends} where appropriate.
   * Patch the manpage to fix hyphens and a few spelling mistakes.
   * Add myself to uploaders.
   * Update debian/copyright.
   * Standards-Version 3.9.3 (no further change required).
   * Fix spelling mistakes spotted by Lintian.
   * Use dh-autoreconf to update config.{guess,sub} (thanks to Ansgar
     Burchardt for the hint).
   * wrap-and-sort control files.
   * Build-depend on libpng-dev only, dropping the libpng12-dev alternative
     (closes: #662565).
   * Fix "ftbfs with GCC-4.7" by including unistd.h where appropriate
     (closes: #667422; thanks to Cyril Brulebois for his patch for another
     gcc-4.7-related issue, which was already included upstream).
   * Fix the Vcs-Browser URL.
   * Allow DM uploads as requested by Michael Gilbert.
Checksums-Sha1: 
 4db364d494d03baf75916a2822ba1e39f04dcea0 3104 xmoto_0.5.9+dfsg-1.dsc
 ec522f420cc9190a52df999b566f6ede9ff03d7f 40574124 xmoto_0.5.9+dfsg.orig.tar.gz
 dee1c1f5e6ee3afe364f9ff66858dc769ae4b612 17535 xmoto_0.5.9+dfsg-1.debian.tar.gz
 ff9b6cdc4cdfb29796c51ad4f1c68a64f4360f5c 1858370 xmoto_0.5.9+dfsg-1_amd64.deb
 e50934e673b194ec3870bbf77d05e5fdbadfe0aa 37650264 xmoto-data_0.5.9+dfsg-1_all.deb
Checksums-Sha256: 
 579180f2ed6b0a0545a86755cddf9ec37db465e84166d41dc3416f1f0c39d181 3104 xmoto_0.5.9+dfsg-1.dsc
 cc3740b930bee7a2f7121cd19374367a1608ea26b1089523b9b6c0fc5e87d4f0 40574124 xmoto_0.5.9+dfsg.orig.tar.gz
 3e89c61836ef3629ba4f39d52958d143285a022469aa676ddfa1ce46befe19b6 17535 xmoto_0.5.9+dfsg-1.debian.tar.gz
 97fc222cb5aad722e488f127358def232c6177251f7ad96617cf5380ff0fed70 1858370 xmoto_0.5.9+dfsg-1_amd64.deb
 c212d434745b2bc4153bfa774c042081766887dd9923aeae20bbfacdb898bf3a 37650264 xmoto-data_0.5.9+dfsg-1_all.deb
Files: 
 3b8e84681bf42a09d2cd12b5f9d0dc79 3104 games optional xmoto_0.5.9+dfsg-1.dsc
 f13ee2a322ae20bccd0caa949e194e4a 40574124 games optional xmoto_0.5.9+dfsg.orig.tar.gz
 eaef69eab81395341fb47fd84647fd35 17535 games optional xmoto_0.5.9+dfsg-1.debian.tar.gz
 255ff2b512ac84cdefee146d0c06eabf 1858370 games optional xmoto_0.5.9+dfsg-1_amd64.deb
 868771661768bff9593c9ff393616d35 37650264 games optional xmoto-data_0.5.9+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQQcBAEBCAAGBQJPwDBqAAoJELjWss0C1vRzqGIf+wevxLJjMmHSZ7UxXgAz0irM
pzAeqUrSJV+2JH38jBJYH7kehYkwU0wrVn2ott/EnP3DB79VGEUOShRvL3Cwik49
Gqq2FNkCyLBERFo1z/rQZzv8QclYflJybPk2dW/1cQR2rXM70wfji/Gs4BS5ywc5
accozk+7nVvYXwJbM3PCaHKhltBB/4igUroBuxIZKlYxsqt0CzmdctYVTEPoNwTE
5R+zi/MKxfzTc75FVMskywcQ8RrQobrXNCcUvpe8up2GoZQKQ3szvEf0YPRZo2Sy
GUTUUX9Kn+ClPp51QByAtg+jVMCPF2xAuCxvEFsBTyu7HS6G9MDvexii3TzHHimr
l/ONs1GPpJuyI4AqooRgvETSShbV+fOinKsUagLH5qDsins8eTMa6Rp6qq+XClaV
esHDzarYSvSaH3GWaYfNQD9ggyTRE1BdPw94vvDhYs7htpk2KVOMFanp7DvtGuZU
Z7te0IuFata3VqSySfpSQ3I2m4Jcsd5GzxJBgLehvnS31IP9JGfizpTGUUX9aTwG
uWmI7ZMadYwmr3bRdmD8fwqnRn3NeUyCNCKnrPJFgXWwQ5yxTq85VA6rBLZuammz
WApzu6sk1jhqnLU7ER29JTzi3N+nGTljnTY3Ludj8NBA7AT1ZSMk3EC5knWO15pU
4oceGwJbNqpMSZtzNrIaL9K5y4O5N82f22JNm+VTTFAIS/yUQ20i5qxrfTwtu2EJ
eToZKoxZi6xePWMrcPm32vMQdW0EZWtUb6zFGHaB/xYKaLjYvyLIbgxFv4CdENk6
4CQqfGW0YKylhCQGtJeM0S24myk9GwZ8qZX7Nt5tkj+pJSF567LKjctBtKKrsl8O
9PwX0vAs2Qs13bVaOtZOM21DjRDRuoGI9H+Zf98ON7DNoTJQTqD6UGF9l/FnZo1Q
sT+hp/h2Kw+mdrvq8uzEdpsUdLekLxzJR2hqnB5Dm2xNCu519/GxfXAPBRHIaCYx
vJk0pkeNe5HXJ00dl0q8/XBkrd4udArxxXaymaSpyzT9KXYNl+FTrNkgPD9Eze3e
+htOdfRzgfzGOkny+t2b4PFlojc6ahJ1z9IisUhG8g7dLvEGatPElfDzYGemJynB
4TMjMfL6q5XFVCGglH7E5Nlzs3IUoI2AbM5ph5qoAKalbgI4AyFiUPJD4BhmsSD/
WLLcH1S7icFFsabUyNSr935Av5RGh6okDqQqPQhotjWZyw54lFHE0Bq1J5NQkHlq
6JCFaQ9Izq1s4ycn+krE18saSK4z0OarjWzPauSUKWcqoNQZBG70L87RZFkxU9Wl
lN6FwE/foiAMXZLib6y0zEEjW5jz26oDMlZ/2UQINnFeXAvxt17NqN0ReZYcEYQ=
=AGqY
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Jun 2012 07:41:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:57:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.